/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.model.enumerator;

/**
 * Existing privileges in the platform
 * 
 * @author dlopez
 */
public enum Privileges
{
    AUTHENTICATED,

    // ENTERPRISE
    ENTERPRISE_ADMINISTER_ALL,

    ENTERPRISE_ENUMERATE,

    // INFRASTRUCTURE
    PHYS_DC_ENUMERATE,

    PHYS_DC_ALLOW_MODIFY_NETWORK,

    PHYS_DC_ALLOW_MODIFY_STORAGE,

    PHYS_DC_RETRIEVE_DETAILS,

    // USERS
    USERS_MANAGE_OTHER_ENTERPRISES,

    USERS_MANAGE_ROLES,

    USERS_MANAGE_ROLES_OTHER_ENTERPRISES,

    USERS_MANAGE_SYSTEM_ROLES,

    USERS_MANAGE_USERS,

    USERS_VIEW,

    USERS_VIEW_PRIVILEGES,

    USERS_PROHIBIT_VDC_RESTRICTION,

    USERS_MANAGE_LDAP_GROUP,

    USERS_MANAGE_CHEF_ENTERPRISE,

    // VDCS
    VDC_ENUMERATE,

    VDC_MANAGE_VAPP,

    VDC_MANAGE_STORAGE,

    // VAPP
    VAPP_CUSTOMISE_SETTINGS,

    VAPP_DEPLOY_UNDEPLOY,

    VAPP_ASSIGN_NETWORK,

    VAPP_ASSIGN_VOLUME,

    VAPP_PERFORM_ACTIONS,

    VAPP_CREATE_STATEFUL,

    VAPP_CREATE_INSTANCE,

    // PRICING
    PRICING_VIEW,

    PRICING_MANAGE,

    // EVENTS
    EVENTLOG_VIEW_ENTERPRISE,

    EVENTLOG_VIEW_ALL,

    // APPLIB
    APPLIB_ALLOW_MODIFY,

    // GLOBAL CATEGORIES
    APPLIB_MANAGE_GLOBAL_CATEGORIES,

    USERS_DEFINE_AS_MANAGER,

    USERS_MANAGE_ENTERPRISE_BRANDING,

    USERS_MANAGE_SCOPES;

    public static Privileges[] simpleRole()
    {
        Privileges[] p =
            {VDC_ENUMERATE, VDC_MANAGE_VAPP, VAPP_CUSTOMISE_SETTINGS, VAPP_DEPLOY_UNDEPLOY,
            VAPP_ASSIGN_NETWORK, VAPP_ASSIGN_VOLUME, VAPP_PERFORM_ACTIONS, VAPP_CREATE_INSTANCE,
            VAPP_CREATE_STATEFUL, EVENTLOG_VIEW_ENTERPRISE};
        return p;
    }
}
