/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.model.enumerator;


/**
 * Actions that can be performed on a VirtualAppliance.
 * 
 * @author <a href="mailto:serafin.sedano@abiquo.com">Serafin Sedano</a>
 */
public enum VirtualApplianceAction
{
    /** MOVE (Moving) */
    MOVE("Moving"),

    /** COPY (Copying) */
    COPY("Copying");

    private String action;

    private VirtualApplianceAction(final String action)
    {
        this.action = action;
    }

    public String getAction()
    {
        return action;
    }

    @Override
    public String toString()
    {
        return this.action;
    }
}
