/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.model.enumerator;

/**
 * The virtual image stateful state.
 * 
 * @author abiquo
 */
public enum VirtualImageStatefulState
{
    /** The virtual image ISN'T an stateful image. */
    STATELESS(false),

    /** The virtual image IS an stategul image. */
    STATEFUL(true);

    boolean value;

    private VirtualImageStatefulState(final boolean value)
    {
        this.value = value;
    }

    public boolean getValue()
    {
        return value;
    }
}
