/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * 
 */
package com.abiquo.model.enumerator;

import javax.xml.bind.annotation.XmlEnum;

/**
 * Enumerator to specify all the states of a VlanTag
 * 
 * @author jdevesa@abiquo.com
 */
@XmlEnum
public enum VlanTagAvailabilityType
{
    AVAILABLE("This tag is available."), USED("This tag is used by another VLAN in the Datacenter"), INVALID(
        "VLAN tag out of limits");

    private String message;

    /**
     * Private Constructor with a default message;
     * 
     * @param message
     */
    private VlanTagAvailabilityType(final String message)
    {
        this.message = message;
    }

    public String getMessage()
    {
        return message;
    }
}
