/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * 
 */
package com.abiquo.model.transport;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.server.core.infrastructure.DatacenterDto;

/**
 * Just a single Dto with links to stablish relations.
 * 
 * @author jdevesa
 */
@XmlRootElement(name = "links")
public class LinksDto extends SingleResourceTransportDto
{
    private static final long serialVersionUID = -8659042159324422045L;
    
    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.links+xml";
    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;
    
    @Override
    public String getMediaType()
    {
        return LinksDto.MEDIA_TYPE;
    }
    
    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }

}
