/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * 
 */
package com.abiquo.model.transport;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.server.core.infrastructure.DatacenterDto;
import com.abiquo.server.core.task.TaskDto;

/**
 * This Entity is the response of 303.
 * 
 * @author enric.ruiz@abiquo.com
 */
@XmlRootElement(name = "seeother")
public class SeeOtherDto extends TaskDto
{
    private static final long serialVersionUID = 4645761892464380938L;
    
    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.seeother+xml";
    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    protected String location;

    public SeeOtherDto(final String location)
    {
        setLocation(location);
    }

    public String getLocation()
    {
        return location;
    }

    public void setLocation(String location)
    {
        this.location = location;
    }
    
    @Override
    public String getMediaType()
    {
        return SeeOtherDto.MEDIA_TYPE;
    }
}
