/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.appslibrary;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.model.doc.Desc;
import com.abiquo.model.enumerator.DiskFormatTypeAlias;
import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "diskformtattype")
public class DiskFormatTypeDto extends SingleResourceTransportDto
{

    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.diskformattype+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    private String uri, description;

    private DiskFormatTypeAlias alias;

    private static final long serialVersionUID = 1L;

    private Integer id;

    @Desc(value = "Identifier of the entity")
    public Integer getId()
    {
        return id;
    }

    public void setId(final Integer Id)
    {
        id = Id;
    }

    @Desc("URI  of the Disk Format type")
    public String getUri()
    {
        return uri;
    }

    public void setUri(final String Uri)
    {
        uri = Uri;
    }

    @Desc("Description of the type")
    public String getDescription()
    {
        return description;
    }

    public void setDescription(final String Description)
    {
        description = Description;
    }

    @Desc("URI  of the Disk Format type")
    public DiskFormatTypeAlias getAlias()
    {
        return alias;
    }

    @Desc("Alias of the disk format type")
    public void setAlias(final DiskFormatTypeAlias Alias)
    {
        alias = Alias;
    }

    /*
     * public static final DiskFormatType[] VBOX_COMPATIBLES = new DiskFormatType[] {VMDK_SPARSE,
     * VHD_FLAT, VHD_SPARSE, VDI_FLAT, VDI_SPARSE}; public static final DiskFormatType[]
     * KVM_COMPATIBLES = new DiskFormatType[] {RAW, VMDK_SPARSE, VMDK_FLAT, VHD_FLAT, VHD_SPARSE,
     * QCOW2_FLAT, QCOW2_SPARSE}; public static final DiskFormatType[] XEN_COMPATIBLES = new
     * DiskFormatType[] {VMDK_FLAT}; public static final DiskFormatType[] VMWARE_COMPATIBLES = new
     * DiskFormatType[] {VMDK_FLAT, VMDK_SPARSE}; public static final DiskFormatType[]
     * HYPERV_COMPATIBLES = new DiskFormatType[] {VHD_FLAT, VHD_SPARSE}; public static final
     * DiskFormatType[] XENSERVER_COMPATIBLES = HYPERV_COMPATIBLES;
     */

    @Override
    public String getMediaType()
    {
        return DiskFormatTypeDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }

}
