/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.infrastructure.network.v20;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "ipPoolManagement")
@Deprecated
public class IpPoolManagementDto20 extends SingleResourceTransportDto
{

    public static final String BASE_MEDIA_TYPE = "application/vnd.abiquo.ip+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION_20;

    private boolean available;

    private Integer id;

    private String ip;

    private String mac;

    private String name;

    private String networkName;

    private boolean quarantine;

    private String networkType;

    public boolean getAvailable()
    {
        return available;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }

    public Integer getId()
    {
        return id;
    }

    public String getIp()
    {
        return ip;
    }

    public String getMac()
    {
        return mac;
    }

    @Override
    public String getMediaType()
    {
        return IpPoolManagementDto20.MEDIA_TYPE;
    }

    public String getName()
    {
        return name;
    }

    public String getNetworkName()
    {
        return this.networkName;
    }

    public boolean getQuarantine()
    {
        return quarantine;
    }

    public void setAvailable(final boolean available)
    {
        this.available = available;
    }

    public void setId(final Integer id)
    {
        this.id = id;
    }

    public void setIp(final String ip)
    {
        this.ip = ip;
    }

    public void setMac(final String mac)
    {
        this.mac = mac;
    }

    public void setName(final String name)
    {
        this.name = name;
    }

    public void setNetworkName(final String networkName)
    {
        this.networkName = networkName;
    }

    public void setQuarantine(final boolean quarantine)
    {
        this.quarantine = quarantine;
    }

    public void setNetworkType(final String networkType)
    {
        this.networkType = networkType;
    }

    public String getNetworkType()
    {
        return networkType;
    }

}
