/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.server.core.scheduler;

import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.model.doc.Desc;
import com.abiquo.model.doc.Link;
import com.abiquo.model.doc.Links;
import com.abiquo.model.transport.SingleResourceTransportDto;

@XmlRootElement(name = "enterpriseExclusionRule")
@Links({
@Link(href = "http://example.com/api/admin/enterprises/{idEnterprise}", rel = "enterprise", title = "enterprise1", required = true),
@Link(href = "http://example.com/api/admin/enterprises/{idEnterprise}", rel = "enterprise", title = "enterprise2", required = true)})
public class EnterpriseExclusionRuleDto extends SingleResourceTransportDto
{
    public static final String BASE_MEDIA_TYPE =
        "application/vnd.abiquo.enterpriseexclusionrule+xml";

    public static final String MEDIA_TYPE = BASE_MEDIA_TYPE + "; version=" + API_VERSION;

    private static final long serialVersionUID = 1L;

    private Integer id;

    @Desc("Identifier of the entity")
    public Integer getId()
    {
        return id;
    }

    public void setId(final Integer id)
    {
        this.id = id;
    }

    @Override
    public String getMediaType()
    {
        return EnterpriseExclusionRuleDto.MEDIA_TYPE;
    }

    @Override
    public String getBaseMediaType()
    {
        return BASE_MEDIA_TYPE;
    }

}
